Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class Xalan2Executor

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.Xalan2Executor

public class Xalan2Executor
extends org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor

Xalan executor via JAXP. Nothing special must exists in the classpath besides of course, a parser, jaxp and xalan.

Field Summary
`protected AggregateTransformer` | `caller` the transformer caller

Constructor Summary
`Xalan2Executor()`

Method Summary
`protected java.lang.String` | `getImplementation()` This methods should return the classname implementation of the underlying xslt processor
`protected java.io.OutputStream` | `getOutputStream()` get the appropriate stream based on the format (frames/noframes)
`protected java.lang.String` | `getProcVersion(java.lang.String classNameImpl)` Try to discover the xslt processor version based on the className.
`protected java.lang.String` | `getXalanVersion(java.lang.String procVersionClassName)` pretty useful data (Xalan version information) to display.
`protected java.lang.String` | `getXSLTCVersion(java.lang.String procVersionClassName)` a bit simplistic but xsltc data are conveniently private non final

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caller

    protected AggregateTransformer caller

  the transformer caller

Constructor Detail

### Xalan2Executor

    public Xalan2Executor()

Method Detail

### getImplementation

    protected java.lang.String getImplementation()
                                          throws BuildException

  Description copied from class: `org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor`
  This methods should return the classname implementation of the underlying xslt processor

  Specified by:
    `getImplementation` in class `org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor`
  Returns:
    the classname of the implementation, for example: org.apache.xalan.processor.TransformerFactoryImpl
    `BuildException`
  See Also:
    `XalanExecutor.getProcVersion(String)`

### getProcVersion

    protected java.lang.String getProcVersion(java.lang.String classNameImpl)
                                       throws BuildException

  Description copied from class: `org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor`
  Try to discover the xslt processor version based on the className. There is nothing carved in stone and it can change anytime, so this is just for the sake of giving additional information if we can find it.

  Specified by:
    `getProcVersion` in class `org.apache.tools.ant.taskdefs.optional.junit.XalanExecutor`
  Parameters:
    `classNameImpl` - the classname of the underlying xslt processor
  Returns:
    a string representing the implementation version.
  Throws:
    `BuildException`

### getOutputStream

    protected final java.io.OutputStream getOutputStream()
                                                  throws java.io.IOException

  get the appropriate stream based on the format (frames/noframes)

    `java.io.IOException`

### getXSLTCVersion

    protected final java.lang.String getXSLTCVersion(java.lang.String procVersionClassName)
                                              throws java.lang.ClassNotFoundException

  a bit simplistic but xsltc data are conveniently private non final

    `java.lang.ClassNotFoundException`

### getXalanVersion

    protected final java.lang.String getXalanVersion(java.lang.String procVersionClassName)
                                              throws java.lang.ClassNotFoundException

  pretty useful data (Xalan version information) to display.

    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.